Subject: Re: [PATCH v3 08/13] QLogic VNIC: sysfs interface implementation for the driver

From: Roland Dreier <[email-masked]>
Date: Sat, 31 May 2008 22:46:05 -0700

> And yes, multiple values per sysfs file are not allowed, sorry, please
 > change this.  If you need to configure your device through an interface
 > like this, consider using configfs instead, that is what it is there
 > for.

Makes sense... I know that the SRP initiator uses the method of multiple
'token=<value>' entries passed into sysfs, but the excuse is that SRP
was merged before configfs.

I'll also have a look at adding configfs support to SRP and deprecating
the current sysfs method...

 - R.